# $Revision: 1.11 $, $Date: 2002/09/19 09:56:23 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Cache
Summary:	Cache::Cache perl extension
Summary(pl):	Rozszerzenie perla: Cache::Cache
Name:		perl-Cache-Cache
Version:	1.01
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
URL:		http://perl-cache.sourceforge.net/
BuildRequires:	perl >= 5.6.1
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Digest-SHA1 >= 2.01
BuildRequires:	perl-Error >= 0.15
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-IPC-ShareLite >= 0.08
BuildRequires:	perl-Storable >= 1.014
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Cache modules are designed to assist a developer in persisting
data for a specified period of time. Often these modules are used
in web applications to store data locally to save repeated and
redundant expensive calls to remote machines or databases. People
have also been known to use Cache::Cache for its straightforward
interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use
abstraction of the filesystem or shared memory.

%description -l pl
Moduy Cache maj na celu pomc programicie w utrzymywaniu danych
przez okrelony czas. Te moduy s przewanie uywane w aplikacjach
WWW do zapisywania danych lokalnie w celu uniknicia powtarzajcych
si i niepotrzebnych odwoa do zewntrznych maszyn lub baz danych.
Cache::Cache bywa uywany ze wzgldu na swj prosty interfejs do
dzielenia danych pomidzy uruchomieniami aplikacji lub wywoaniami
skryptu CGI, albo po prostu jako atwa w uyciu abstrakcja systemu
plikw lub pamici dzielonej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl -MExtUtils::MakeMaker -wle 'WriteMakefile(NAME=>"Cache::Cache")'
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING CREDITS DISCLAIMER README STYLE
%{perl_sitelib}/Cache/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Cache-Cache.spec,v $
Revision 1.11  2002/09/19 09:56:23  radek
- made BRs conditional
- removed empty TODO
- added URL
- release 4
STBR

Revision 1.10  2002/09/16 08:15:08  ankry
- added tests onm bcond
- remove %{perl_sitelib}/Cache dir (moved to perl)
- release 3

Revision 1.9  2002/08/18 11:56:15  blues
license fix

Revision 1.8  2002/07/20 07:12:59  qboosh
- completed BRs
- BuildArch: noarch
- release 2

Revision 1.7  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.6  2002/07/11 07:57:10  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/25 10:00:25  ankry
- added Date in header

Revision 1.2  2002/03/04 13:40:48  qboosh
- pl description, completed License

Revision 1.1  2002/03/04 06:39:34  depesz
new module
